Subject: Re: bug#57309: 29.0.50; Build error "trying to dump non fixed-up eln file"

From: Gerd Möllmann <[email-masked]>
Date: Sun, 21 Aug 2022 15:14:47 +0200

Gerd Möllmann <[email-masked]> writes:

>
> Eli Zaretskii <[email-masked]> writes:
>
>> Does LLDB have the equivalent of "info share" command?  If so, do you
>> see window-0d1b8b93-274db3e2.eln in the list of loaded shared
>> libraries after the above?
>
> I did something else also.  With a breakpoint on
>
> 4: name = 'Fnative_comp_unit_set_file', locations = 1, resolved = 1, hit count = 0
>   4.1: where = temacs`Fnative_comp_unit_set_file + 12 [inlined]
> TAGGEDP at lisp.h:788:10, address = 0x00000001001556cc, resolved, hit
> count = 0
>
> it never stopped there.
>
> I think this should be called from loadup.el and set the file names of
> the CUs to conses, right?.
>
> But maybe that's because I don't have a debug build here, which makes
> things additionally interesting :-(.

Two more tries, and it doesn't want to stop there.